/// <reference types="react" />
import { ComponentClass, ComponentType } from 'react';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/subscribeOn';
export declare type ComponentDecorator<P> = (Target: ComponentType<P>) => ComponentClass<P>;
export declare type WithRXSelector<P> = (props$: Observable<Readonly<P>>) => Observable<Partial<Readonly<P>>>;
export declare function withRX<P extends object = never>(select: WithRXSelector<P>): ComponentDecorator<P>;
