/// <reference types="react" />
import * as React from 'react';
export declare type TEventListenerProps = {
    capture?: boolean;
    target: EventTarget | string;
    children: React.ReactElement<any>;
    [onEvent: string]: Function | boolean | string | object | undefined;
};
export declare class EventListener extends React.Component<TEventListenerProps> {
    componentDidMount(): void;
    componentWillUpdate(nextProps: TEventListenerProps): void;
    componentDidUpdate(prevProps: TEventListenerProps): void;
    componentWillUnmount(): void;
    render(): React.ReactElement<any> | (string & React.ReactElement<any>) | (number & React.ReactElement<any>) | (true & React.ReactElement<any>) | (false & React.ReactElement<any>) | (React.ReactNodeArray & React.ReactElement<any>) | (React.ReactPortal & React.ReactElement<any>);
    private addListeners();
    private removeListeners();
    private getTarget();
    private getHandlers();
}
