/// <reference types="react" />
import { ComponentClass, ReactElement } from 'react';
import { ObjectClean } from 'typelevel-ts';
import { PartialKeys } from '@devexperts/utils/dist/object/object';
export declare type TFullExpandableHandlerProps = {
    isExpanded: boolean;
    theme: {
        container?: string;
    };
    children: ReactElement<any>;
};
export declare type TExpandableHandlerProps = ObjectClean<PartialKeys<TFullExpandableHandlerProps, 'theme' | 'isExpanded'>>;
export declare const ExpandableHandler: ComponentClass<TExpandableHandlerProps>;
